Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.internal.jaxb.mapping.orm
Class JaxbPrimaryKeyJoinColumn

    java.lang.Object
      org.hibernate.internal.jaxb.mapping.orm.JaxbPrimaryKeyJoinColumn

    public class JaxbPrimaryKeyJoinColumn

extends Object

Field Summary
`protected String` | `columnDefinition`
`protected String` | `name`
`protected String` | `referencedColumnName`

Constructor Summary
`JaxbPrimaryKeyJoinColumn()`

Method Summary
`String` | `getColumnDefinition()` Gets the value of the columnDefinition property.
`String` | `getName()` Gets the value of the name property.
`String` | `getReferencedColumnName()` Gets the value of the referencedColumnName property.
`void` | `setColumnDefinition(String value)` Sets the value of the columnDefinition property.
`void` | `setName(String value)` Sets the value of the name property.
`void` | `setReferencedColumnName(String value)` Sets the value of the referencedColumnName property.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### referencedColumnName

    protected String referencedColumnName

### columnDefinition

    protected String columnDefinition

Constructor Detail

### JaxbPrimaryKeyJoinColumn

    public JaxbPrimaryKeyJoinColumn()

Method Detail

### getName

    public String getName()

  Gets the value of the name property.

  Returns:
    possible object is `String`

### setName

    public void setName(String value)

  Sets the value of the name property.

  Parameters:
    `value` - allowed object is `String`

### getReferencedColumnName

    public String getReferencedColumnName()

  Gets the value of the referencedColumnName property.

  Returns:
    possible object is `String`

### setReferencedColumnName

    public void setReferencedColumnName(String value)

  Sets the value of the referencedColumnName property.

  Parameters:
    `value` - allowed object is `String`

### getColumnDefinition

    public String getColumnDefinition()

  Gets the value of the columnDefinition property.

  Returns:
    possible object is `String`

### setColumnDefinition

    public void setColumnDefinition(String value)

  Sets the value of the columnDefinition property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.